ode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tammo van Lessen (JIRA)" <j...@apache.org>
Subject [jira] Updated: (ODE-806) ODE JBI packaging is invalid
Date Thu, 25 Nov 2010 13:19:51 GMT

     [ https://issues.apache.org/jira/browse/ODE-806?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tammo van Lessen updated ODE-806:
---------------------------------

    Fix Version/s:     (was: 1.3.5)
                   1.4

> ODE JBI packaging is invalid
> ----------------------------
>
>                 Key: ODE-806
>                 URL: https://issues.apache.org/jira/browse/ODE-806
>             Project: ODE
>          Issue Type: Bug
>          Components: JBI Integration
>    Affects Versions: 1.3.4
>         Environment: WinXp, Fuse 3.4.0.4, ode-jbi-1.3.4-SNAPSHOT.zip (build from branch
1.x , rev 934389) 
>            Reporter: Mateusz Nowakowski
>            Assignee: Rafal Rusin
>             Fix For: 1.4
>
>         Attachments: dbError.zip, servicemix.zip
>
>
> Current ode-jbi-1.3.4-SNAPSHOT.zip (build from branch 1.x , rev 934389) doesn't start
totally successfully:
> 1) invalid entries in jbi.xml
> 2) embedded database doesn't contain ODE_SCHEMA_VERSION table 
> (what is strange this problem doesn;t exist with external database configured in smx
jndi.xml
> 	<entry key="java:comp/env/jdbc/ode">
> 	<bean class="org.apache.derby.jdbc.EmbeddedDataSource">
> 		<property name="databaseName" value="../smx/components/OdeBpelEngine/version_1/jpadb"/>
> 		<property name="createDatabase" value="create"/>
> 		<property name="user" value="sa"/>
> 	</bean>
> 	</entry>
> )
> (attached servicemix.log)
> 3) What is more there is a problem with database itself. Fuse 3.4.0.4 (the newest one)
contains the older version of Derby than ODE is shipped with. The ODE component uses the parent
first classloader delegation, so the Derby  from SMX/lib is used.
> (attached dbError.log)
> However this issue will be fixed by upgrading Derby in the next Fuse 3.4 release.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message